Cyan Web API - Version 1


POST api/deviceGroupApplicationVersions

            Creates a device group application version.
            

Request Information

Parameters

NameDescriptionAdditional information
deviceGroupApplicationVersion

Define this parameter in the request body.

Request body formats

application/json, text/json

Sample:
{
  "deviceGroupId": "5031a725-99ce-4a6d-b4bf-46b1b0dbeccb",
  "applicationVersionId": "78896830-49f0-4f20-94df-b01c82348844",
  "createdDateUtc": "2026-11-13T23:59:41.1550733+00:00",
  "updatedDateUtc": "2026-11-13T23:59:41.1550733+00:00"
}

application/xml, text/xml

Sample:
<DeviceGroupApplicationVersionRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-11-13T23:59:41.1550733+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-11-13T23:59:41.1550733+00:00</UpdatedDateUtc>
  <ApplicationVersionId>78896830-49f0-4f20-94df-b01c82348844</ApplicationVersionId>
  <DeviceGroupId>5031a725-99ce-4a6d-b4bf-46b1b0dbeccb</DeviceGroupId>
</DeviceGroupApplicationVersionRepresentation>

application/x-www-form-urlencoded

Sample:

Sample not available.